class Zombie extends Particle{
  
  Zombie(){
    super();
    decrease =0;
    mass = 40;
  }
  
  void display(){
    noStroke();
    fill(102,108,85);
    ellipse(location.x,location.y, mass/2,mass/2);
  }
   
   
  PVector attract(Particle p){
    PVector dir = PVector.sub(location,p.location);
    float d = dir.mag();
    if(d<300){
      d = constrain(d,5,100);
      dir.normalize();
      float force = -1000*mass/(d*d);
      dir.mult(force);
      return dir;
    }else{
      return new PVector(0,0);
    }
  }
}

  
