class Particle{
  PVector location, acceleration, velocity;
  int lifespan;
  float mass;
  int decrease = 0;
    
  
  Particle(){
    acceleration = new PVector(0,0);
    velocity = new PVector(random(-1,1),random(-1,1));
    location = new PVector(random(width), random(height));
    lifespan =int(random(100,255));
    mass = 20;
  }
  
   void run(){
    update();
    display();
    checkEdges();

  }
  
  void update(){
    velocity.add(acceleration);
    velocity.limit(2600/(mass*mass));
    location.add(velocity);
    acceleration.mult(0);
    lifespan -= decrease;
  }
  
  void applyForce(PVector force){
    PVector f = force.get();
    f.div(mass);
    acceleration.add(f);
  }
  
  PVector repel(Zombie z){
    PVector dir = PVector.sub(location,z.location);
    float d = dir.mag();
    d = constrain(d,5,100);
    dir.normalize();
    float force = 100*mass/(d*d);
    dir.mult(force);
    return dir;
  }
  
  void display(){
    noStroke();
    fill(255,90,90);
    ellipse(location.x,location.y, mass,mass);
  }
  
  void checkEdges(){
    if(location.x<0 || location.x>width){
      velocity.x *=-1;
    }
    if(location.y<0 || location.y>height){
     velocity.y *=-1;
    }
  } 
  
  boolean isDead(){
    if(lifespan<0.0){
     return true;
    }else{
      return false;
    }
  }
  
  
}
  
